/*
 * VITAL-5G Slice Inventory
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.nfvmano.v5g.slicing.client.model;

import java.util.List;
import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * The request body the Slice Inventory expects on this Norhtbound interface. To select a specific &#x60;urllc&#x60; slice.
 */
@Schema(description = "The request body the Slice Inventory expects on this Norhtbound interface. To select a specific `urllc` slice.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-11-29T11:32:05.527Z[GMT]")
public class SelectUrllcSliceNB {
  @SerializedName("latency")
  private Float latency = null;

  @SerializedName("jitter")
  private Float jitter = null;

  @SerializedName("expDataRateUL")
  private Float expDataRateUL = null;

  @SerializedName("expDataRateDL")
  private Float expDataRateDL = null;

  @SerializedName("testbed")
  private String testbed = null;

  @SerializedName("imsi")
  private List<String> userEquipment = null;
  //private String userEquipment = null;

  public SelectUrllcSliceNB latency(Float latency) {
    this.latency = latency;
    return this;
  }

   /**
   * Get latency
   * @return latency
  **/
  @Schema(description = "")
  public Float getLatency() {
    return latency;
  }

  public void setLatency(Float latency) {
    this.latency = latency;
  }

  public SelectUrllcSliceNB jitter(Float jitter) {
    this.jitter = jitter;
    return this;
  }

   /**
   * Get jitter
   * @return jitter
  **/
  @Schema(description = "")
  public Float getJitter() {
    return jitter;
  }

  public void setJitter(Float jitter) {
    this.jitter = jitter;
  }

  public SelectUrllcSliceNB expDataRateUL(Float expDataRateUL) {
    this.expDataRateUL = expDataRateUL;
    return this;
  }

   /**
   * Get expDataRateUL
   * @return expDataRateUL
  **/
  @Schema(description = "")
  public Float getExpDataRateUL() {
    return expDataRateUL;
  }

  public void setExpDataRateUL(Float expDataRateUL) {
    this.expDataRateUL = expDataRateUL;
  }

  public SelectUrllcSliceNB expDataRateDL(Float expDataRateDL) {
    this.expDataRateDL = expDataRateDL;
    return this;
  }

   /**
   * Get expDataRateDL
   * @return expDataRateDL
  **/
  @Schema(description = "")
  public Float getExpDataRateDL() {
    return expDataRateDL;
  }

  public void setExpDataRateDL(Float expDataRateDL) {
    this.expDataRateDL = expDataRateDL;
  }

  public SelectUrllcSliceNB testbed(String testbed) {
    this.testbed = testbed;
    return this;
  }

   /**
   * Get testbed
   * @return testbed
  **/
  @Schema(description = "")
  public String getTestbed() {
    return testbed;
  }

  public void setTestbed(String testbed) {
    this.testbed = testbed;
  }

  public SelectUrllcSliceNB userEquipment(List<String> userEquipment) {
    this.userEquipment = userEquipment;
    return this;
  }

   /**
   * Get userEquipment
   * @return userEquipment
  **/
  @Schema(description = "")
  public List<String> getUserEquipment() {
    return userEquipment;
  }

  public void setUserEquipment(List<String> userEquipment) {
    this.userEquipment = userEquipment;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SelectUrllcSliceNB selectUrllcSliceNB = (SelectUrllcSliceNB) o;
    return Objects.equals(this.latency, selectUrllcSliceNB.latency) &&
        Objects.equals(this.jitter, selectUrllcSliceNB.jitter) &&
        Objects.equals(this.expDataRateUL, selectUrllcSliceNB.expDataRateUL) &&
        Objects.equals(this.expDataRateDL, selectUrllcSliceNB.expDataRateDL) &&
        Objects.equals(this.testbed, selectUrllcSliceNB.testbed) &&
        Objects.equals(this.userEquipment, selectUrllcSliceNB.userEquipment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(latency, jitter, expDataRateUL, expDataRateDL, testbed, userEquipment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SelectUrllcSliceNB {\n");
    
    sb.append("    latency: ").append(toIndentedString(latency)).append("\n");
    sb.append("    jitter: ").append(toIndentedString(jitter)).append("\n");
    sb.append("    expDataRateUL: ").append(toIndentedString(expDataRateUL)).append("\n");
    sb.append("    expDataRateDL: ").append(toIndentedString(expDataRateDL)).append("\n");
    sb.append("    testbed: ").append(toIndentedString(testbed)).append("\n");
    sb.append("    userEquipment: ").append(toIndentedString(userEquipment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
